POST API/Report/GetDiagnosticCard
Request Information
URI Parameters
None.
Body Parameters
DiagnosticCardRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| department_id | integer |
None. |
|
| vehicle_id | globally unique identifier |
None. |
|
| dateBeg | date |
None. |
|
| dateEnd | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"department_id": 1,
"vehicle_id": "f86e179c-47d6-4e2f-b8aa-67e2e58b6f69",
"dateBeg": "2026-07-16T03:18:07.4844183+05:00",
"dateEnd": "2026-07-16T03:18:07.4844183+05:00"
}
application/xml, text/xml
Sample:
<DiagnosticCardRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CarPark.Models.Interaction"> <dateBeg>2026-07-16T03:18:07.4844183+05:00</dateBeg> <dateEnd>2026-07-16T03:18:07.4844183+05:00</dateEnd> <department_id>1</department_id> <vehicle_id>f86e179c-47d6-4e2f-b8aa-67e2e58b6f69</vehicle_id> </DiagnosticCardRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
stringResponse Formats
application/json, text/json
Sample:
"sample string 1"
application/xml, text/xml
Sample:
<string xmlns="http://schemas.microsoft.com/2003/10/Serialization/">sample string 1</string>